#ifndef __DETECTALGORITHM_H__
#define __DETECTALGORITHM_H__

#include <array>
#include <cstdint>

class DetectAlgorithm {
public:
    constexpr static uint32_t DetectWidth = 576;
    constexpr static uint32_t DetectHeight = 320;
    DetectAlgorithm();
    ~DetectAlgorithm();
    void detect(const uint8_t *nv21ImageData, uint64_t frameIndex);
    void initialize();

private:
    void *m_handle = nullptr;
    std::array<uint8_t, DetectWidth * DetectHeight * 3> m_rgbImageBuffer;
};

#endif // __DETECTALGORITHM_H__